<div class="modal fade" id="viewRequestModal" tabindex="-1" role="dialog" aria-labelledby="viewRequestModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-slideout modal-lg modal-shift-right" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title align-title" id="createGroupModalLabel">{{viewRequest?.RequestDetail}}</h6>
                <button type="button" class="close close-align" data-dismiss="modal" (click)="onCloseModal()" aria-label="Close">
                    <span aria-hidden="true">×</span>
                    <em></em>
                </button>
            </div>
            <div class="modal-body">
                <div id="workflow-steps" class="row cml-0 cm-2">
                    <p class="step-date font-weight-bold">{{rowData.processed_date | date: 'medium'}}</p>
                    <ul class="step d-flex flex-nowrap">
                        <li class="step-item">
                            <a href="#!" class="font-weight-bold">{{viewRequest?.RequestSubmitted}}</a>
                        </li>
                        <li class="step-item active">
                            <a href="#!" class="">{{viewRequest?.ManagerApproval}}</a>
                        </li>
                        <li class="step-item active">
                            <a href="#!" class="">{{viewRequest?.AdminApproval}}</a>
                        </li>
                        <li class="step-item active">
                            <a href="#!" class="">{{viewRequest?.UpdateAccess}}</a>
                        </li>
                        <li class="step-item active">
                            <a href="#!" class="">{{viewRequest?.Completed}}</a>
                        </li>
                    </ul> 
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <span class="span-text-format">{{viewRequest?.RequestorDetails}}</span>
                        <hr/>
                    </div>
                </div>
                <div class="row pl-2">
                    <div class="col-md-6">
                        <label>{{viewRequest?.UserID}}(521)</label>
                        <p class="fs-0">{{userInfo?.username}}</p>
                    </div>
                    <div class="col-md-6">
                        <label>{{viewRequest?.EmailAddress}}</label>
                        <p class="fs-0">{{userInfo?.email}}</p>
                    </div>

                </div>
                <div class="row pl-2">
                    <div class="col-md-6">
                        <label>{{viewRequest?.FirstName}}</label>
                        <p class="fs-0">{{userInfo?.firstname}}</p>
                    </div>
                    <div class="col-md-6">
                        <label>{{viewRequest?.LastName}}</label>
                        <div class="input-group">
                            <p class="fs-0">{{userInfo?.lastname}}</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <ejs-radiobutton 
                        label="{{rowData.type === 'new' ? newRequestLabel : updateRequestLabel}}" name="default" checked="true" cssClass="custom-radio-btn">
                        </ejs-radiobutton>
                      </div>
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <div class="panel-group" id="accordion">
                            <div class="panel panel-default" id="panel1">
                                <div class="panel-heading">
                                    <h4 class="panel-title">
                                        <a data-toggle="collapse" data-target="#collapseApplications" href="#collapseApplications"
                                            class="collapsed" (click)="application()">
                                            <span class="span-text-format">{{viewRequest?.Applications}} </span>
                                        </a>
                                    </h4>
                                </div>
                                <hr class="mt-0">
                                <div id="collapseApplications" class="panel-collapse collapse" > 
                                    <div class="panel-body">
                                        <form id="modules" class="">
                                            <div id='treeparent'>
                                                <ejs-treeview  #treeView [fields]="field" [cssClass]="'custom'" [showCheckBox]='true' (drawNode)='drawNode($event)'></ejs-treeview>
                                            </div>
                                      </form>
                                       <!--  <form id="modules" class="mt-3">
                                            <div class=" mt-2 mb-4 p-bottom">
                                                <ul class="list-group">
                                                    <div id='treeparent'>
                                                        <ejs-treeview #treeView [fields]='field' [cssClass]="'custom'" [showCheckBox]="true"  (drawNode)='drawNode($event)'></ejs-treeview>
                                                    </div>
                                                </ul>
                                            </div>
                                        </form> -->
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="panel-group" id="accordion">
                            <div class="panel panel-default mb-2" id="panel1">
                                <div class="panel-heading mt-1">
                                    <h4 class="panel-title">
                                        <a data-toggle="collapse" data-target="#collapseLayers" href="#collapseLayers"
                                            class="collapsed">
                                            <span class="span-text-format">{{viewRequest?.Layers}}</span>
                                        </a>
                                    </h4>
                                </div>
                                <hr class="mt-0">
                                <div id="collapseLayers" class="panel-collapse collapse">
                                    <div class="panel-body">
                                    <form id="layers" class="mt-3 ml-1">
                                        <ejs-listbox #layerslist [dataSource]="rowData?.layer"  [fields]="{text: 'name',value: 'layer_id' }" 
                                        [selectionSettings]="selection" (created)="created()"></ejs-listbox>
                                        
                                    </form>
                                    <!-- <form id="layers">
                                        <div class="checkbox mt-3 text-capitalize" *ngFor="let layer of rowData.layer">
                                            <ejs-checkbox name="layer" label="{{ layer.name }}" [checked]="true" [disabled]="true"></ejs-checkbox>
                                        </div>
                                    </form> -->
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <span class="span-text-format">{{viewRequest?.Justification}}</span>
                        <hr/>
                    </div>
                    <div class="col-md-12">
                        <span class=" ht-1 ml-1 fs-0">{{rowData?.description}}</span>
                    </div>
                </div>

                <!--<div class="row mt-3">
                    <div class="col-md-12">
                        <span class="span-text-format">Comments</span>
                        <hr/>
                    </div>
                    <div class="col-md-12 mt-2">
                        <input type="text" class="form-control ht-1"  placeholder="Enter Comments"/>
                    </div>
                </div> -->
            </div>
            <div class="modal-footer align-footer">
                <button type="button" class="actionButton btn btn-primary btn-modal-close" data-dismiss="modal" (click)="onCloseModal()">{{viewRequest?.Close}}</button>
            </div>
        </div>
    </div>
</div>